Bug 1343337 (CVE-2016-5244)

Summary: CVE-2016-5244 kernel: Information leak in rds_inc_info_copy
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, aquini, arm-mgr, bhu, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, kstutsma, lgoncalv, lwang, madhu.chinakonda, matt, mchehab, mcressma, mguzik, nmurray, pholasek, plougher, rt-maint, rvrbovsk, slawomir, vdronov, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20160603,reported=20160603,source=oss-security,cvss2=1.9/AV:L/AC:M/Au:N/C:P/I:N/A:N,cwe=CWE-200,rhel-5/kernel=wontfix,rhel-6/kernel=wontfix,rhel-7/kernel=notaffected,rhel-7/kernel-rt=notaffected,mrg-2/realtime-kernel=notaffected,rhelsa-7/arm-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in the Linux kernel in function rds_inc_info_copy of file net/rds/recv.c. The last field "flags" of object "minfo" is not initialized. This can leak data previously at the flags location to userspace.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-29 13:41:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1343338, 1348021    
Bug Blocks: 1343340    

Description Andrej Nemec 2016-06-07 07:46:00 UTC
A vulnerability was found in the Linux kernel in function rds_inc_info_copy of file net/rds/recv.c. The last field "flags" of object "minfo" is not initialized. Copying this object out may leak kernel stack data. Assign 0 to it to avoid leak.

Upstream bug:

https://patchwork.ozlabs.org/patch/629110/

Upstream fix:

https://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=4116def2337991b39919f3b448326e21c40e0dbb

Comment 1 Andrej Nemec 2016-06-07 07:47:42 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1343338]

Comment 2 Fedora Update System 2016-06-17 15:49:44 UTC
kernel-4.4.13-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-06-17 15:59:59 UTC
kernel-4.5.7-200.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-18 18:36:16 UTC
kernel-4.5.7-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Wade Mealing 2016-06-20 01:47:56 UTC
Statement:

This issue affects the Linux kernels as shipped with Red Hat Enterprise Linux 5 and 6 and will not be addressed in a future update.

This issue does not affect the Linux kernels as shipped with Red Hat Enterprise Linux  7, Realtime and Red Hat Enterprise MRG 2.

This has been rated as having low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/ .